<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('advertisements', function (Blueprint $table) {
            $table->id();
            $table->string('title')->nullable();
            $table->enum('position', App\Enums\AdsPositionEnum::values())->default(App\Enums\AdsPositionEnum::HEADER->value);
            $table->longText('code')->nullable();
            $table->string('image')->nullable();
            $table->string('link')->nullable();
            $table->enum('type', App\Enums\AdsTypeEnum::values())->default(App\Enums\AdsTypeEnum::ADSENSE->value);
            $table->enum('status', App\Enums\AdsStatusEnum::values())->default(App\Enums\AdsStatusEnum::ACTIVE->value);
            $table->integer('height')->nullable();
            $table->integer('width')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('advertisements');
    }
};
